Beta Client Libraries

Depending on your application language, you may need to use a beta-specific client library to use the Video Intelligence API beta features.

Installing the beta client library

The v1p3beta1 client library is available for the Streaming and Live streaming betas.

Java

If you are using Maven, add this to your pom.xml file:

<dependency>
  <groupId>com.google.cloud</groupId>
  <artifactId>google-cloud-video-intelligence</artifactId>
  <version>0.84.0-beta</version>
</dependency>

If you are using Gradle, add this to your dependencies:

compile 'com.google.cloud:google-cloud-video-intelligence:0.84.0-beta'

If you are using SBT, add this to your dependencies:

libraryDependencies += "com.google.cloud" % "google-cloud-video-intelligence" % "0.84.0-beta"

Node.js

Beta features are available from the regular Video Intelligence API client library for Node.js.

In your Node.js application, specify the beta version of the API with the following line:

const videoIntelligence = require('@google-cloud/video-intelligence').v1p3beta1;

Python

Beta features are available from the regular Video Intelligence API client library for Python.

Your requirements.txt should include:

google-cloud-videointelligence==1.8.0

In your Python application, import the v1p3beta1 version of the API:

from google.cloud import videointelligence_v1p3beta1 as videointelligence
هل كانت هذه الصفحة مفيدة؟ يرجى تقييم أدائنا:

إرسال تعليقات حول...

Cloud Video Intelligence API Documentation